%global debug_package %{nil}

Name:           ocaml-gen
Version:        0.5
Release:        1%{?dist}
Summary:        Simple, efficient iterators for OCaml

License:        BSD
URL:            https://github.com/c-cube/gen
Source0:        https://github.com/c-cube/gen/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc

%description
Iterators for OCaml, both restartable and consumable.
The implementation keeps a good balance between simplicity and performance.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n gen-%{version}


%build
./configure
%make_build


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%make_install doc


%check
%make_build test


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/ocaml/gen
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/gen/*.a
%exclude %{_libdir}/ocaml/gen/*.cmxa
%exclude %{_libdir}/ocaml/gen/*.cmx
%endif
%exclude %{_libdir}/ocaml/gen/*.ml
%exclude %{_libdir}/ocaml/gen/*.mli


%files devel
%doc README.md CHANGELOG.md gen.docdir/*
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/gen/*.a
%{_libdir}/ocaml/gen/*.cmxa
%{_libdir}/ocaml/gen/*.cmx
%endif
%{_libdir}/ocaml/gen/*.ml
%{_libdir}/ocaml/gen/*.mli


%changelog
* Fri Nov 17 2017 Andy Li <andy@onthewings.net> - 0.5-1
- New upstream version 0.5.

* Fri Jul 07 2017 Andy Li <andy@onthewings.net> - 0.4.0.1-1
- Initial RPM release.
